Subject: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Jan 2014 22:27:17 +0200

> From: Nathan Trapuzzano <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 11 Jan 2014 15:13:44 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Nathan Trapuzzano <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sat, 11 Jan 2014 14:44:28 -0500
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> >> But when dealing with text properties (and apparently only when dealing
> >> >> with text properties), there are _two_ special cases: (point-max) in a
> >> >> narrowed buffer, and (point-max) in a widened buffer.
> >> >
> >> > Not if you never look at the properties when you hit the limit of the
> >> > search for previous/next property change.
> >> 
> >> That may be true for searching, but the problem for fetching
> >> (`get-text-property', etc.) remains.
> >
> > You need to fetch after searching, and never do that when the search
> > hits the limit.
> 
> I'm sorry, but this just seems totally contrived.  Are people actually
> supposed to know this?  And who's to say there's searching involved?
> What if I just want to look at the text properties at point?  It
> shouldn't matter whether the buffer is narrowed.

I was just trying to help you have less special cases in your code,
that's all.

How are you supposed to know about that? by reading the available code
of course.  That's how I learned this.